/* financial.c generated by valac 0.27.2.2-e6bbc, the Vala compiler
 * generated from financial.vala, do not modify */

/*
 * Copyright (C) 1987-2008 Sun Microsystems, Inc. All Rights Reserved.
 * Copyright (C) 2008-2012 Robert Ancell
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 2 of the License, or (at your option) any later
 * version. See http://www.gnu.org/copyleft/gpl.html the full text of the
 * license.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtksourceview/gtksource.h>
#include <glib/gi18n-lib.h>
#include <stdlib.h>
#include <string.h>


#define TYPE_FINANCIAL_DIALOG (financial_dialog_get_type ())

#define TYPE_MATH_EQUATION (math_equation_get_type ())
#define MATH_EQUATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_MATH_EQUATION, MathEquation))
#define MATH_EQUATION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_MATH_EQUATION, MathEquationClass))
#define IS_MATH_EQUATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_MATH_EQUATION))
#define IS_MATH_EQUATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_MATH_EQUATION))
#define MATH_EQUATION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_MATH_EQUATION, MathEquationClass))

typedef struct _MathEquation MathEquation;
typedef struct _MathEquationClass MathEquationClass;

#define TYPE_NUMBER (number_get_type ())
#define NUMBER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_NUMBER, Number))
#define NUMBER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_NUMBER, NumberClass))
#define IS_NUMBER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_NUMBER))
#define IS_NUMBER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_NUMBER))
#define NUMBER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_NUMBER, NumberClass))

typedef struct _Number Number;
typedef struct _NumberClass NumberClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

typedef enum  {
	FINANCIAL_DIALOG_CTRM_DIALOG,
	FINANCIAL_DIALOG_DDB_DIALOG,
	FINANCIAL_DIALOG_FV_DIALOG,
	FINANCIAL_DIALOG_GPM_DIALOG,
	FINANCIAL_DIALOG_PMT_DIALOG,
	FINANCIAL_DIALOG_PV_DIALOG,
	FINANCIAL_DIALOG_RATE_DIALOG,
	FINANCIAL_DIALOG_SLN_DIALOG,
	FINANCIAL_DIALOG_SYD_DIALOG,
	FINANCIAL_DIALOG_TERM_DIALOG
} FinancialDialog;



GType financial_dialog_get_type (void) G_GNUC_CONST;
GType math_equation_get_type (void) G_GNUC_CONST;
GType number_get_type (void) G_GNUC_CONST;
void do_finc_expression (MathEquation* equation, FinancialDialog function, Number* arg1, Number* arg2, Number* arg3, Number* arg4);
Number* calc_ctrm (MathEquation* equation, Number* pint, Number* fv, Number* pv);
Number* calc_ddb (MathEquation* equation, Number* cost, Number* life, Number* period);
Number* calc_fv (MathEquation* equation, Number* pmt, Number* pint, Number* n);
Number* calc_gpm (MathEquation* equation, Number* cost, Number* margin);
Number* calc_pmt (MathEquation* equation, Number* prin, Number* pint, Number* n);
Number* calc_pv (MathEquation* equation, Number* pmt, Number* pint, Number* n);
Number* calc_rate (MathEquation* equation, Number* fv, Number* pv, Number* n);
Number* calc_sln (MathEquation* equation, Number* cost, Number* salvage, Number* life);
Number* calc_syd (MathEquation* equation, Number* cost, Number* salvage, Number* life, Number* period);
Number* calc_term (MathEquation* equation, Number* pmt, Number* fv, Number* pint);
Number* number_new_integer (gint64 value);
Number* number_construct_integer (GType object_type, gint64 value);
void math_equation_set_number (MathEquation* self, Number* x, guint representation_base);
Number* number_divide (Number* self, Number* y);
Number* number_ln (Number* self);
Number* number_add (Number* self, Number* y);
gint64 number_to_integer (Number* self);
Number* number_subtract (Number* self, Number* y);
Number* number_multiply_integer (Number* self, gint64 y);
void math_equation_set_status (MathEquation* self, const gchar* value);
Number* number_xpowy (Number* self, Number* y);
Number* number_multiply (Number* self, Number* y);


GType financial_dialog_get_type (void) {
	static volatile gsize financial_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&financial_dialog_type_id__volatile)) {
		static const GEnumValue values[] = {{FINANCIAL_DIALOG_CTRM_DIALOG, "FINANCIAL_DIALOG_CTRM_DIALOG", "ctrm-dialog"}, {FINANCIAL_DIALOG_DDB_DIALOG, "FINANCIAL_DIALOG_DDB_DIALOG", "ddb-dialog"}, {FINANCIAL_DIALOG_FV_DIALOG, "FINANCIAL_DIALOG_FV_DIALOG", "fv-dialog"}, {FINANCIAL_DIALOG_GPM_DIALOG, "FINANCIAL_DIALOG_GPM_DIALOG", "gpm-dialog"}, {FINANCIAL_DIALOG_PMT_DIALOG, "FINANCIAL_DIALOG_PMT_DIALOG", "pmt-dialog"}, {FINANCIAL_DIALOG_PV_DIALOG, "FINANCIAL_DIALOG_PV_DIALOG", "pv-dialog"}, {FINANCIAL_DIALOG_RATE_DIALOG, "FINANCIAL_DIALOG_RATE_DIALOG", "rate-dialog"}, {FINANCIAL_DIALOG_SLN_DIALOG, "FINANCIAL_DIALOG_SLN_DIALOG", "sln-dialog"}, {FINANCIAL_DIALOG_SYD_DIALOG, "FINANCIAL_DIALOG_SYD_DIALOG", "syd-dialog"}, {FINANCIAL_DIALOG_TERM_DIALOG, "FINANCIAL_DIALOG_TERM_DIALOG", "term-dialog"}, {0, NULL, NULL}};
		GType financial_dialog_type_id;
		financial_dialog_type_id = g_enum_register_static ("FinancialDialog", values);
		g_once_init_leave (&financial_dialog_type_id__volatile, financial_dialog_type_id);
	}
	return financial_dialog_type_id__volatile;
}


void do_finc_expression (MathEquation* equation, FinancialDialog function, Number* arg1, Number* arg2, Number* arg3, Number* arg4) {
	Number* _result_ = NULL;
	FinancialDialog _tmp0_ = 0;
	MathEquation* _tmp52_ = NULL;
	Number* _tmp53_ = NULL;
#line 26 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_if_fail (equation != NULL);
#line 26 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_if_fail (arg1 != NULL);
#line 26 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_if_fail (arg2 != NULL);
#line 26 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_if_fail (arg3 != NULL);
#line 26 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_if_fail (arg4 != NULL);
#line 29 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp0_ = function;
#line 29 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	switch (_tmp0_) {
#line 29 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
		case FINANCIAL_DIALOG_CTRM_DIALOG:
#line 123 "financial.c"
		{
			MathEquation* _tmp1_ = NULL;
			Number* _tmp2_ = NULL;
			Number* _tmp3_ = NULL;
			Number* _tmp4_ = NULL;
			Number* _tmp5_ = NULL;
#line 32 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp1_ = equation;
#line 32 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp2_ = arg1;
#line 32 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp3_ = arg2;
#line 32 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp4_ = arg3;
#line 32 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp5_ = calc_ctrm (_tmp1_, _tmp2_, _tmp3_, _tmp4_);
#line 32 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_g_object_unref0 (_result_);
#line 32 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_result_ = _tmp5_;
#line 33 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			break;
#line 146 "financial.c"
		}
#line 29 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
		case FINANCIAL_DIALOG_DDB_DIALOG:
#line 150 "financial.c"
		{
			MathEquation* _tmp6_ = NULL;
			Number* _tmp7_ = NULL;
			Number* _tmp8_ = NULL;
			Number* _tmp9_ = NULL;
			Number* _tmp10_ = NULL;
#line 35 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp6_ = equation;
#line 35 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp7_ = arg1;
#line 35 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp8_ = arg2;
#line 35 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp9_ = arg3;
#line 35 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp10_ = calc_ddb (_tmp6_, _tmp7_, _tmp8_, _tmp9_);
#line 35 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_g_object_unref0 (_result_);
#line 35 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_result_ = _tmp10_;
#line 36 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			break;
#line 173 "financial.c"
		}
#line 29 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
		case FINANCIAL_DIALOG_FV_DIALOG:
#line 177 "financial.c"
		{
			MathEquation* _tmp11_ = NULL;
			Number* _tmp12_ = NULL;
			Number* _tmp13_ = NULL;
			Number* _tmp14_ = NULL;
			Number* _tmp15_ = NULL;
#line 38 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp11_ = equation;
#line 38 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp12_ = arg1;
#line 38 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp13_ = arg2;
#line 38 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp14_ = arg3;
#line 38 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp15_ = calc_fv (_tmp11_, _tmp12_, _tmp13_, _tmp14_);
#line 38 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_g_object_unref0 (_result_);
#line 38 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_result_ = _tmp15_;
#line 39 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			break;
#line 200 "financial.c"
		}
#line 29 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
		case FINANCIAL_DIALOG_GPM_DIALOG:
#line 204 "financial.c"
		{
			MathEquation* _tmp16_ = NULL;
			Number* _tmp17_ = NULL;
			Number* _tmp18_ = NULL;
			Number* _tmp19_ = NULL;
#line 41 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp16_ = equation;
#line 41 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp17_ = arg1;
#line 41 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp18_ = arg2;
#line 41 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp19_ = calc_gpm (_tmp16_, _tmp17_, _tmp18_);
#line 41 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_g_object_unref0 (_result_);
#line 41 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_result_ = _tmp19_;
#line 42 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			break;
#line 224 "financial.c"
		}
#line 29 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
		case FINANCIAL_DIALOG_PMT_DIALOG:
#line 228 "financial.c"
		{
			MathEquation* _tmp20_ = NULL;
			Number* _tmp21_ = NULL;
			Number* _tmp22_ = NULL;
			Number* _tmp23_ = NULL;
			Number* _tmp24_ = NULL;
#line 44 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp20_ = equation;
#line 44 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp21_ = arg1;
#line 44 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp22_ = arg2;
#line 44 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp23_ = arg3;
#line 44 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp24_ = calc_pmt (_tmp20_, _tmp21_, _tmp22_, _tmp23_);
#line 44 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_g_object_unref0 (_result_);
#line 44 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_result_ = _tmp24_;
#line 45 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			break;
#line 251 "financial.c"
		}
#line 29 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
		case FINANCIAL_DIALOG_PV_DIALOG:
#line 255 "financial.c"
		{
			MathEquation* _tmp25_ = NULL;
			Number* _tmp26_ = NULL;
			Number* _tmp27_ = NULL;
			Number* _tmp28_ = NULL;
			Number* _tmp29_ = NULL;
#line 47 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp25_ = equation;
#line 47 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp26_ = arg1;
#line 47 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp27_ = arg2;
#line 47 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp28_ = arg3;
#line 47 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp29_ = calc_pv (_tmp25_, _tmp26_, _tmp27_, _tmp28_);
#line 47 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_g_object_unref0 (_result_);
#line 47 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_result_ = _tmp29_;
#line 48 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			break;
#line 278 "financial.c"
		}
#line 29 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
		case FINANCIAL_DIALOG_RATE_DIALOG:
#line 282 "financial.c"
		{
			MathEquation* _tmp30_ = NULL;
			Number* _tmp31_ = NULL;
			Number* _tmp32_ = NULL;
			Number* _tmp33_ = NULL;
			Number* _tmp34_ = NULL;
#line 50 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp30_ = equation;
#line 50 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp31_ = arg1;
#line 50 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp32_ = arg2;
#line 50 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp33_ = arg3;
#line 50 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp34_ = calc_rate (_tmp30_, _tmp31_, _tmp32_, _tmp33_);
#line 50 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_g_object_unref0 (_result_);
#line 50 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_result_ = _tmp34_;
#line 51 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			break;
#line 305 "financial.c"
		}
#line 29 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
		case FINANCIAL_DIALOG_SLN_DIALOG:
#line 309 "financial.c"
		{
			MathEquation* _tmp35_ = NULL;
			Number* _tmp36_ = NULL;
			Number* _tmp37_ = NULL;
			Number* _tmp38_ = NULL;
			Number* _tmp39_ = NULL;
#line 53 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp35_ = equation;
#line 53 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp36_ = arg1;
#line 53 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp37_ = arg2;
#line 53 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp38_ = arg3;
#line 53 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp39_ = calc_sln (_tmp35_, _tmp36_, _tmp37_, _tmp38_);
#line 53 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_g_object_unref0 (_result_);
#line 53 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_result_ = _tmp39_;
#line 54 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			break;
#line 332 "financial.c"
		}
#line 29 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
		case FINANCIAL_DIALOG_SYD_DIALOG:
#line 336 "financial.c"
		{
			MathEquation* _tmp40_ = NULL;
			Number* _tmp41_ = NULL;
			Number* _tmp42_ = NULL;
			Number* _tmp43_ = NULL;
			Number* _tmp44_ = NULL;
			Number* _tmp45_ = NULL;
#line 56 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp40_ = equation;
#line 56 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp41_ = arg1;
#line 56 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp42_ = arg2;
#line 56 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp43_ = arg3;
#line 56 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp44_ = arg4;
#line 56 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp45_ = calc_syd (_tmp40_, _tmp41_, _tmp42_, _tmp43_, _tmp44_);
#line 56 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_g_object_unref0 (_result_);
#line 56 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_result_ = _tmp45_;
#line 57 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			break;
#line 362 "financial.c"
		}
#line 29 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
		case FINANCIAL_DIALOG_TERM_DIALOG:
#line 366 "financial.c"
		{
			MathEquation* _tmp46_ = NULL;
			Number* _tmp47_ = NULL;
			Number* _tmp48_ = NULL;
			Number* _tmp49_ = NULL;
			Number* _tmp50_ = NULL;
#line 59 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp46_ = equation;
#line 59 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp47_ = arg1;
#line 59 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp48_ = arg2;
#line 59 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp49_ = arg3;
#line 59 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp50_ = calc_term (_tmp46_, _tmp47_, _tmp48_, _tmp49_);
#line 59 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_g_object_unref0 (_result_);
#line 59 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_result_ = _tmp50_;
#line 60 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			break;
#line 389 "financial.c"
		}
		default:
		{
			Number* _tmp51_ = NULL;
#line 62 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp51_ = number_new_integer ((gint64) 0);
#line 62 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_g_object_unref0 (_result_);
#line 62 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_result_ = _tmp51_;
#line 63 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			break;
#line 402 "financial.c"
		}
	}
#line 66 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp52_ = equation;
#line 66 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp53_ = _result_;
#line 66 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	math_equation_set_number (_tmp52_, _tmp53_, (guint) 0);
#line 26 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_result_);
#line 413 "financial.c"
}


Number* calc_ctrm (MathEquation* equation, Number* pint, Number* fv, Number* pv) {
	Number* result = NULL;
	Number* t1 = NULL;
	Number* _tmp0_ = NULL;
	Number* _tmp1_ = NULL;
	Number* _tmp2_ = NULL;
	Number* t2 = NULL;
	Number* _tmp3_ = NULL;
	Number* t3 = NULL;
	Number* _tmp4_ = NULL;
	Number* _tmp5_ = NULL;
	Number* _tmp6_ = NULL;
	Number* _tmp7_ = NULL;
	Number* _tmp8_ = NULL;
	Number* t4 = NULL;
	Number* _tmp9_ = NULL;
	Number* _tmp10_ = NULL;
#line 69 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (equation != NULL, NULL);
#line 69 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (pint != NULL, NULL);
#line 69 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (fv != NULL, NULL);
#line 69 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (pv != NULL, NULL);
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp0_ = fv;
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp1_ = pv;
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp2_ = number_divide (_tmp0_, _tmp1_);
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t1 = _tmp2_;
#line 78 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp3_ = number_ln (t1);
#line 78 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t2 = _tmp3_;
#line 79 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp4_ = pint;
#line 79 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp5_ = number_new_integer ((gint64) 1);
#line 79 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp6_ = _tmp5_;
#line 79 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp7_ = number_add (_tmp4_, _tmp6_);
#line 79 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp8_ = _tmp7_;
#line 79 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_tmp6_);
#line 79 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t3 = _tmp8_;
#line 80 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp9_ = number_ln (t3);
#line 80 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t4 = _tmp9_;
#line 81 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp10_ = number_divide (t2, t4);
#line 81 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	result = _tmp10_;
#line 81 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t4);
#line 81 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t3);
#line 81 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t2);
#line 81 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t1);
#line 81 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	return result;
#line 486 "financial.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	return self ? g_object_ref (self) : NULL;
#line 493 "financial.c"
}


Number* calc_ddb (MathEquation* equation, Number* cost, Number* life, Number* period) {
	Number* result = NULL;
	Number* z = NULL;
	Number* _tmp0_ = NULL;
	Number* tbv = NULL;
	Number* _tmp1_ = NULL;
	gint64 len = 0LL;
	Number* _tmp2_ = NULL;
	gint64 _tmp3_ = 0LL;
	gint64 _tmp21_ = 0LL;
#line 84 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (equation != NULL, NULL);
#line 84 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (cost != NULL, NULL);
#line 84 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (life != NULL, NULL);
#line 84 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (period != NULL, NULL);
#line 100 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp0_ = number_new_integer ((gint64) 0);
#line 100 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	z = _tmp0_;
#line 102 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp1_ = number_new_integer ((gint64) 0);
#line 102 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	tbv = _tmp1_;
#line 103 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp2_ = period;
#line 103 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp3_ = number_to_integer (_tmp2_);
#line 103 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	len = _tmp3_;
#line 529 "financial.c"
	{
		gint i = 0;
#line 104 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
		i = 0;
#line 534 "financial.c"
		{
			gboolean _tmp4_ = FALSE;
#line 104 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			_tmp4_ = TRUE;
#line 104 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
			while (TRUE) {
#line 541 "financial.c"
				gint _tmp6_ = 0;
				gint64 _tmp7_ = 0LL;
				Number* t1 = NULL;
				Number* _tmp8_ = NULL;
				Number* _tmp9_ = NULL;
				Number* _tmp10_ = NULL;
				Number* t2 = NULL;
				Number* _tmp11_ = NULL;
				Number* _tmp12_ = NULL;
				Number* _tmp13_ = NULL;
				Number* _tmp14_ = NULL;
				Number* _tmp15_ = NULL;
				Number* _tmp16_ = NULL;
				Number* _tmp17_ = NULL;
				Number* _tmp18_ = NULL;
				Number* _tmp19_ = NULL;
				Number* _tmp20_ = NULL;
#line 104 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				if (!_tmp4_) {
#line 561 "financial.c"
					gint _tmp5_ = 0;
#line 104 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
					_tmp5_ = i;
#line 104 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
					i = _tmp5_ + 1;
#line 567 "financial.c"
				}
#line 104 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp4_ = FALSE;
#line 104 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp6_ = i;
#line 104 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp7_ = len;
#line 104 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				if (!(((gint64) _tmp6_) < _tmp7_)) {
#line 104 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
					break;
#line 579 "financial.c"
				}
#line 106 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp8_ = cost;
#line 106 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp9_ = tbv;
#line 106 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp10_ = number_subtract (_tmp8_, _tmp9_);
#line 106 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				t1 = _tmp10_;
#line 107 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp11_ = t1;
#line 107 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp12_ = number_multiply_integer (_tmp11_, (gint64) 2);
#line 107 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				t2 = _tmp12_;
#line 108 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp13_ = t2;
#line 108 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp14_ = life;
#line 108 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp15_ = number_divide (_tmp13_, _tmp14_);
#line 108 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_g_object_unref0 (z);
#line 108 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				z = _tmp15_;
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp16_ = tbv;
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp17_ = _g_object_ref0 (_tmp16_);
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_g_object_unref0 (t1);
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				t1 = _tmp17_;
#line 110 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp18_ = t1;
#line 110 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp19_ = z;
#line 110 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_tmp20_ = number_add (_tmp18_, _tmp19_);
#line 110 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_g_object_unref0 (tbv);
#line 110 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				tbv = _tmp20_;
#line 104 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_g_object_unref0 (t2);
#line 104 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
				_g_object_unref0 (t1);
#line 627 "financial.c"
			}
		}
	}
#line 113 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp21_ = len;
#line 113 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	if (_tmp21_ >= ((gint64) 0)) {
#line 635 "financial.c"
		MathEquation* _tmp22_ = NULL;
		const gchar* _tmp23_ = NULL;
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
		_tmp22_ = equation;
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
		_tmp23_ = _ ("Error: the number of periods must be positive");
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
		math_equation_set_status (_tmp22_, _tmp23_);
#line 644 "financial.c"
	}
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	result = z;
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (tbv);
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	return result;
#line 652 "financial.c"
}


Number* calc_fv (MathEquation* equation, Number* pmt, Number* pint, Number* n) {
	Number* result = NULL;
	Number* t1 = NULL;
	Number* _tmp0_ = NULL;
	Number* _tmp1_ = NULL;
	Number* _tmp2_ = NULL;
	Number* _tmp3_ = NULL;
	Number* _tmp4_ = NULL;
	Number* t2 = NULL;
	Number* _tmp5_ = NULL;
	Number* _tmp6_ = NULL;
	Number* t3 = NULL;
	Number* _tmp7_ = NULL;
	Number* _tmp8_ = NULL;
	Number* _tmp9_ = NULL;
	Number* _tmp10_ = NULL;
	Number* t4 = NULL;
	Number* _tmp11_ = NULL;
	Number* _tmp12_ = NULL;
	Number* _tmp13_ = NULL;
	Number* _tmp14_ = NULL;
#line 119 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (equation != NULL, NULL);
#line 119 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (pmt != NULL, NULL);
#line 119 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (pint != NULL, NULL);
#line 119 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (n != NULL, NULL);
#line 128 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp0_ = pint;
#line 128 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp1_ = number_new_integer ((gint64) 1);
#line 128 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp2_ = _tmp1_;
#line 128 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp3_ = number_add (_tmp0_, _tmp2_);
#line 128 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp4_ = _tmp3_;
#line 128 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_tmp2_);
#line 128 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t1 = _tmp4_;
#line 129 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp5_ = n;
#line 129 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp6_ = number_xpowy (t1, _tmp5_);
#line 129 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t2 = _tmp6_;
#line 130 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp7_ = number_new_integer ((gint64) (-1));
#line 130 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp8_ = _tmp7_;
#line 130 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp9_ = number_add (t2, _tmp8_);
#line 130 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp10_ = _tmp9_;
#line 130 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_tmp8_);
#line 130 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t3 = _tmp10_;
#line 131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp11_ = pmt;
#line 131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp12_ = number_multiply (_tmp11_, t3);
#line 131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t4 = _tmp12_;
#line 132 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp13_ = pint;
#line 132 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp14_ = number_divide (t4, _tmp13_);
#line 132 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	result = _tmp14_;
#line 132 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t4);
#line 132 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t3);
#line 132 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t2);
#line 132 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t1);
#line 132 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	return result;
#line 739 "financial.c"
}


Number* calc_gpm (MathEquation* equation, Number* cost, Number* margin) {
	Number* result = NULL;
	Number* t1 = NULL;
	Number* _tmp0_ = NULL;
	Number* t2 = NULL;
	Number* _tmp1_ = NULL;
	Number* _tmp2_ = NULL;
	Number* _tmp3_ = NULL;
	Number* _tmp4_ = NULL;
#line 135 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (equation != NULL, NULL);
#line 135 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (cost != NULL, NULL);
#line 135 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (margin != NULL, NULL);
#line 143 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp0_ = number_new_integer ((gint64) 1);
#line 143 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t1 = _tmp0_;
#line 144 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp1_ = margin;
#line 144 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp2_ = number_subtract (t1, _tmp1_);
#line 144 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t2 = _tmp2_;
#line 145 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp3_ = cost;
#line 145 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp4_ = number_divide (_tmp3_, t2);
#line 145 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	result = _tmp4_;
#line 145 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t2);
#line 145 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t1);
#line 145 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	return result;
#line 780 "financial.c"
}


Number* calc_pmt (MathEquation* equation, Number* prin, Number* pint, Number* n) {
	Number* result = NULL;
	Number* t1 = NULL;
	Number* _tmp0_ = NULL;
	Number* _tmp1_ = NULL;
	Number* _tmp2_ = NULL;
	Number* _tmp3_ = NULL;
	Number* _tmp4_ = NULL;
	Number* t2 = NULL;
	Number* _tmp5_ = NULL;
	Number* _tmp6_ = NULL;
	Number* t3 = NULL;
	Number* _tmp7_ = NULL;
	Number* _tmp8_ = NULL;
	Number* _tmp9_ = NULL;
	Number* t4 = NULL;
	Number* _tmp10_ = NULL;
	Number* _tmp11_ = NULL;
	Number* _tmp12_ = NULL;
	Number* _tmp13_ = NULL;
	Number* _tmp14_ = NULL;
	Number* _tmp15_ = NULL;
	Number* _tmp16_ = NULL;
	Number* _tmp17_ = NULL;
	Number* _tmp18_ = NULL;
	Number* _tmp19_ = NULL;
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (equation != NULL, NULL);
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (prin != NULL, NULL);
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (pint != NULL, NULL);
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (n != NULL, NULL);
#line 157 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp0_ = pint;
#line 157 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp1_ = number_new_integer ((gint64) 1);
#line 157 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp2_ = _tmp1_;
#line 157 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp3_ = number_add (_tmp0_, _tmp2_);
#line 157 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp4_ = _tmp3_;
#line 157 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_tmp2_);
#line 157 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t1 = _tmp4_;
#line 158 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp5_ = n;
#line 158 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp6_ = number_multiply_integer (_tmp5_, (gint64) (-1));
#line 158 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t2 = _tmp6_;
#line 159 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp7_ = t1;
#line 159 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp8_ = t2;
#line 159 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp9_ = number_xpowy (_tmp7_, _tmp8_);
#line 159 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t3 = _tmp9_;
#line 160 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp10_ = number_multiply_integer (t3, (gint64) (-1));
#line 160 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t4 = _tmp10_;
#line 161 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp11_ = number_new_integer ((gint64) 1);
#line 161 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp12_ = _tmp11_;
#line 161 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp13_ = number_add (t4, _tmp12_);
#line 161 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t1);
#line 161 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t1 = _tmp13_;
#line 161 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_tmp12_);
#line 162 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp14_ = pint;
#line 162 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp15_ = t1;
#line 162 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp16_ = number_divide (_tmp14_, _tmp15_);
#line 162 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t2);
#line 162 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t2 = _tmp16_;
#line 163 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp17_ = prin;
#line 163 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp18_ = t2;
#line 163 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp19_ = number_multiply (_tmp17_, _tmp18_);
#line 163 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	result = _tmp19_;
#line 163 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t4);
#line 163 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t3);
#line 163 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t2);
#line 163 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t1);
#line 163 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	return result;
#line 890 "financial.c"
}


Number* calc_pv (MathEquation* equation, Number* pmt, Number* pint, Number* n) {
	Number* result = NULL;
	Number* t1 = NULL;
	Number* _tmp0_ = NULL;
	Number* _tmp1_ = NULL;
	Number* _tmp2_ = NULL;
	Number* _tmp3_ = NULL;
	Number* _tmp4_ = NULL;
	Number* t2 = NULL;
	Number* _tmp5_ = NULL;
	Number* _tmp6_ = NULL;
	Number* t3 = NULL;
	Number* _tmp7_ = NULL;
	Number* _tmp8_ = NULL;
	Number* _tmp9_ = NULL;
	Number* t4 = NULL;
	Number* _tmp10_ = NULL;
	Number* _tmp11_ = NULL;
	Number* _tmp12_ = NULL;
	Number* _tmp13_ = NULL;
	Number* _tmp14_ = NULL;
	Number* _tmp15_ = NULL;
	Number* _tmp16_ = NULL;
	Number* _tmp17_ = NULL;
	Number* _tmp18_ = NULL;
	Number* _tmp19_ = NULL;
#line 166 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (equation != NULL, NULL);
#line 166 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (pmt != NULL, NULL);
#line 166 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (pint != NULL, NULL);
#line 166 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (n != NULL, NULL);
#line 175 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp0_ = pint;
#line 175 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp1_ = number_new_integer ((gint64) 1);
#line 175 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp2_ = _tmp1_;
#line 175 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp3_ = number_add (_tmp0_, _tmp2_);
#line 175 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp4_ = _tmp3_;
#line 175 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_tmp2_);
#line 175 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t1 = _tmp4_;
#line 176 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp5_ = n;
#line 176 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp6_ = number_multiply_integer (_tmp5_, (gint64) (-1));
#line 176 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t2 = _tmp6_;
#line 177 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp7_ = t1;
#line 177 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp8_ = t2;
#line 177 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp9_ = number_xpowy (_tmp7_, _tmp8_);
#line 177 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t3 = _tmp9_;
#line 178 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp10_ = number_multiply_integer (t3, (gint64) (-1));
#line 178 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t4 = _tmp10_;
#line 179 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp11_ = number_new_integer ((gint64) 1);
#line 179 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp12_ = _tmp11_;
#line 179 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp13_ = number_add (t4, _tmp12_);
#line 179 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t1);
#line 179 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t1 = _tmp13_;
#line 179 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_tmp12_);
#line 180 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp14_ = t1;
#line 180 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp15_ = pint;
#line 180 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp16_ = number_divide (_tmp14_, _tmp15_);
#line 180 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t2);
#line 180 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t2 = _tmp16_;
#line 181 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp17_ = pmt;
#line 181 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp18_ = t2;
#line 181 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp19_ = number_multiply (_tmp17_, _tmp18_);
#line 181 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	result = _tmp19_;
#line 181 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t4);
#line 181 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t3);
#line 181 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t2);
#line 181 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t1);
#line 181 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	return result;
#line 1000 "financial.c"
}


Number* calc_rate (MathEquation* equation, Number* fv, Number* pv, Number* n) {
	Number* result = NULL;
	Number* t1 = NULL;
	Number* _tmp0_ = NULL;
	Number* _tmp1_ = NULL;
	Number* _tmp2_ = NULL;
	Number* t2 = NULL;
	Number* _tmp3_ = NULL;
	Number* t3 = NULL;
	Number* _tmp4_ = NULL;
	Number* _tmp5_ = NULL;
	Number* t4 = NULL;
	Number* _tmp6_ = NULL;
	Number* _tmp7_ = NULL;
	Number* _tmp8_ = NULL;
	Number* _tmp9_ = NULL;
	Number* _tmp10_ = NULL;
#line 184 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (equation != NULL, NULL);
#line 184 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (fv != NULL, NULL);
#line 184 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (pv != NULL, NULL);
#line 184 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (n != NULL, NULL);
#line 193 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp0_ = fv;
#line 193 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp1_ = pv;
#line 193 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp2_ = number_divide (_tmp0_, _tmp1_);
#line 193 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t1 = _tmp2_;
#line 194 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp3_ = number_new_integer ((gint64) 1);
#line 194 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t2 = _tmp3_;
#line 195 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp4_ = n;
#line 195 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp5_ = number_divide (t2, _tmp4_);
#line 195 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t3 = _tmp5_;
#line 196 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp6_ = number_xpowy (t1, t3);
#line 196 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t4 = _tmp6_;
#line 197 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp7_ = number_new_integer ((gint64) (-1));
#line 197 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp8_ = _tmp7_;
#line 197 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp9_ = number_add (t4, _tmp8_);
#line 197 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp10_ = _tmp9_;
#line 197 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_tmp8_);
#line 197 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	result = _tmp10_;
#line 197 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t4);
#line 197 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t3);
#line 197 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t2);
#line 197 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t1);
#line 197 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	return result;
#line 1073 "financial.c"
}


Number* calc_sln (MathEquation* equation, Number* cost, Number* salvage, Number* life) {
	Number* result = NULL;
	Number* t1 = NULL;
	Number* _tmp0_ = NULL;
	Number* _tmp1_ = NULL;
	Number* _tmp2_ = NULL;
	Number* _tmp3_ = NULL;
	Number* _tmp4_ = NULL;
#line 200 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (equation != NULL, NULL);
#line 200 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (cost != NULL, NULL);
#line 200 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (salvage != NULL, NULL);
#line 200 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (life != NULL, NULL);
#line 209 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp0_ = cost;
#line 209 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp1_ = salvage;
#line 209 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp2_ = number_subtract (_tmp0_, _tmp1_);
#line 209 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t1 = _tmp2_;
#line 210 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp3_ = life;
#line 210 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp4_ = number_divide (t1, _tmp3_);
#line 210 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	result = _tmp4_;
#line 210 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t1);
#line 210 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	return result;
#line 1111 "financial.c"
}


Number* calc_syd (MathEquation* equation, Number* cost, Number* salvage, Number* life, Number* period) {
	Number* result = NULL;
	Number* t3 = NULL;
	Number* _tmp0_ = NULL;
	Number* _tmp1_ = NULL;
	Number* _tmp2_ = NULL;
	Number* _tmp3_ = NULL;
	Number* _tmp4_ = NULL;
	Number* _tmp5_ = NULL;
	Number* _tmp6_ = NULL;
	Number* _tmp7_ = NULL;
	Number* t2 = NULL;
	Number* _tmp8_ = NULL;
	Number* _tmp9_ = NULL;
	Number* _tmp10_ = NULL;
	Number* _tmp11_ = NULL;
	Number* _tmp12_ = NULL;
	Number* t4 = NULL;
	Number* _tmp13_ = NULL;
	Number* _tmp14_ = NULL;
	Number* _tmp15_ = NULL;
	Number* t1 = NULL;
	Number* _tmp16_ = NULL;
	Number* _tmp17_ = NULL;
	Number* _tmp18_ = NULL;
	Number* _tmp19_ = NULL;
	Number* _tmp20_ = NULL;
	Number* _tmp21_ = NULL;
	Number* _tmp22_ = NULL;
	Number* _tmp23_ = NULL;
	Number* _tmp24_ = NULL;
	Number* _tmp25_ = NULL;
	Number* _tmp26_ = NULL;
	Number* _tmp27_ = NULL;
#line 213 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (equation != NULL, NULL);
#line 213 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (cost != NULL, NULL);
#line 213 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (salvage != NULL, NULL);
#line 213 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (life != NULL, NULL);
#line 213 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (period != NULL, NULL);
#line 224 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp0_ = life;
#line 224 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp1_ = period;
#line 224 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp2_ = number_subtract (_tmp0_, _tmp1_);
#line 224 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp3_ = _tmp2_;
#line 224 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp4_ = number_new_integer ((gint64) 1);
#line 224 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp5_ = _tmp4_;
#line 224 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp6_ = number_add (_tmp3_, _tmp5_);
#line 224 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp7_ = _tmp6_;
#line 224 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_tmp5_);
#line 224 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_tmp3_);
#line 224 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t3 = _tmp7_;
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp8_ = life;
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp9_ = number_new_integer ((gint64) 1);
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp10_ = _tmp9_;
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp11_ = number_add (_tmp8_, _tmp10_);
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp12_ = _tmp11_;
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_tmp10_);
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t2 = _tmp12_;
#line 226 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp13_ = life;
#line 226 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp14_ = t2;
#line 226 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp15_ = number_multiply (_tmp13_, _tmp14_);
#line 226 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t4 = _tmp15_;
#line 227 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp16_ = number_new_integer ((gint64) 2);
#line 227 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp17_ = _tmp16_;
#line 227 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp18_ = number_divide (t4, _tmp17_);
#line 227 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp19_ = _tmp18_;
#line 227 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_tmp17_);
#line 227 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t1 = _tmp19_;
#line 228 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp20_ = t1;
#line 228 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp21_ = number_divide (t3, _tmp20_);
#line 228 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t2);
#line 228 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t2 = _tmp21_;
#line 229 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp22_ = cost;
#line 229 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp23_ = salvage;
#line 229 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp24_ = number_subtract (_tmp22_, _tmp23_);
#line 229 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t1);
#line 229 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t1 = _tmp24_;
#line 230 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp25_ = t1;
#line 230 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp26_ = t2;
#line 230 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp27_ = number_multiply (_tmp25_, _tmp26_);
#line 230 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	result = _tmp27_;
#line 230 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t1);
#line 230 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t4);
#line 230 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t2);
#line 230 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t3);
#line 230 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	return result;
#line 1251 "financial.c"
}


Number* calc_term (MathEquation* equation, Number* pmt, Number* fv, Number* pint) {
	Number* result = NULL;
	Number* t1 = NULL;
	Number* _tmp0_ = NULL;
	Number* _tmp1_ = NULL;
	Number* _tmp2_ = NULL;
	Number* _tmp3_ = NULL;
	Number* _tmp4_ = NULL;
	Number* t2 = NULL;
	Number* _tmp5_ = NULL;
	Number* _tmp6_ = NULL;
	Number* _tmp7_ = NULL;
	Number* _tmp8_ = NULL;
	Number* _tmp9_ = NULL;
	Number* t3 = NULL;
	Number* _tmp10_ = NULL;
	Number* _tmp11_ = NULL;
	Number* _tmp12_ = NULL;
	Number* t4 = NULL;
	Number* _tmp13_ = NULL;
	Number* _tmp14_ = NULL;
	Number* _tmp15_ = NULL;
	Number* _tmp16_ = NULL;
	Number* _tmp17_ = NULL;
	Number* _tmp18_ = NULL;
	Number* _tmp19_ = NULL;
#line 233 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (equation != NULL, NULL);
#line 233 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (pmt != NULL, NULL);
#line 233 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (fv != NULL, NULL);
#line 233 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	g_return_val_if_fail (pint != NULL, NULL);
#line 242 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp0_ = pint;
#line 242 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp1_ = number_new_integer ((gint64) 1);
#line 242 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp2_ = _tmp1_;
#line 242 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp3_ = number_add (_tmp0_, _tmp2_);
#line 242 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp4_ = _tmp3_;
#line 242 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_tmp2_);
#line 242 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t1 = _tmp4_;
#line 243 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp5_ = t1;
#line 243 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp6_ = number_ln (_tmp5_);
#line 243 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t2 = _tmp6_;
#line 244 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp7_ = fv;
#line 244 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp8_ = pint;
#line 244 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp9_ = number_multiply (_tmp7_, _tmp8_);
#line 244 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t1);
#line 244 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t1 = _tmp9_;
#line 245 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp10_ = t1;
#line 245 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp11_ = pmt;
#line 245 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp12_ = number_divide (_tmp10_, _tmp11_);
#line 245 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t3 = _tmp12_;
#line 246 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp13_ = number_new_integer ((gint64) 1);
#line 246 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp14_ = _tmp13_;
#line 246 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp15_ = number_add (t3, _tmp14_);
#line 246 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp16_ = _tmp15_;
#line 246 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (_tmp14_);
#line 246 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t4 = _tmp16_;
#line 247 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp17_ = number_ln (t4);
#line 247 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t1);
#line 247 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	t1 = _tmp17_;
#line 248 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp18_ = t1;
#line 248 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_tmp19_ = number_divide (_tmp18_, t2);
#line 248 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	result = _tmp19_;
#line 248 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t4);
#line 248 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t3);
#line 248 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t2);
#line 248 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	_g_object_unref0 (t1);
#line 248 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/financial.vala"
	return result;
#line 1361 "financial.c"
}



